For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DiscordGet API Key
  • Getting Started
    • Overview
    • Quickstart
    • Errors
    • Pricing
  • Chat
    • Overview
    • Chat with Image, Video, and Audio
    • Function Calling
    • Models
  • Vision
    • Overview
    • Rate Limits
    • Pricing
    • MCP Server
    • Video Management
    • Video Group Management
    • Video Search
    • Video QA
    • Clip Generation
    • Metadata Tagging
    • Image Management
    • Image Search
        • POSTUpload Images
        • GETGet Image
        • GETList Images
        • DELDelete Image
  • Research
    • Overview
    • Streaming
    • Reasoning Steps
    • Web Search
    • Structured Output
    • Parallel Thinking
    • Best Practices
    • Errors
    • Examples
  • Speech
    • Overview
    • Audio Transcription
    • Speech Translation
    • Speech-to-Speech Translation
  • Resources
    • FAQs
    • Changelog
    • System Status
LogoLogo
DiscordGet API Key
VisionAPI ReferenceImage Management

List Images

GET
https://vision-agent.api.reka.ai/v1/images
GET
/v1/images
$curl https://vision-agent.api.reka.ai/v1/images \
> -H "X-Api-Key: <apiKey>"
200Retrieved
1{
2 "results": [
3 {
4 "image_id": "string",
5 "image_url": "string",
6 "indexing_status": 1,
7 "upload_timestamp": 1.1
8 }
9 ]
10}
List images or retrieve specific images by IDs.
Was this page helpful?
Previous

Delete Image

Next
Built with

Authentication

X-Api-Keystring

API key authentication via X-Api-Key header

OR
AuthorizationBearer
Bearer token authentication via Authorization header

Query parameters

limitintegerOptional1-100Defaults to 20
offsetintegerOptional>=0Defaults to 0

Response

Successful Response
resultslist of objects